Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::StateSensorClass Struct Reference

Sensor class that stores state sensor properties. More...

`import "GatewaySensorManager.idl";`

Inheritance diagram for peripheral::GatewaySensorManager::StateSensorClass:

## Public Attributes

sensors::Sensor TypeSpec | type
| state sensor type
Public Attributes inherited from peripheral::GatewaySensorManager::SensorClass
string | classId
| sensor class id

## Detailed Description

Sensor class that stores state sensor properties.

Definition at line 250 of file GatewaySensorManager.idl.

## Member Data Documentation

## type

sensors::Sensor TypeSpec peripheral::GatewaySensorManager::StateSensorClass::type

state sensor type

Definition at line 251 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl